<script type="text/javascript">	
$(document).ready(function(){
	cari_tgl();
	
	function cari_tgl(){
		var no = 1;
		$.ajax({
			type	: "POST",
			url		: "modul/report/cari_tanggal.php",
			data	: "no="+no,
			dataType: "json",
			success	: function(data){				
				$("#t_tglaw").val(data.tanggal);
				$("#t_tglak").val(data.tanggal);				
			}
		});
	}
	
	$('#form_cari_plg').dialog({
		autoOpen: false,
		modal	: true,
		width: 600,
	});
		
	$('#caripl').click(function(){
		$('#form_cari_plg').dialog('open');		
		$("#txt_cariplg").focus();
		return false;
	});
	
	$("#txt_cariplg").keyup(function(){		
		var cari	= $("#txt_cariplg").val();
		
		$.ajax({
			type	: "POST",
			url		: "modul/penjualan/tampil_data_plg.php",
			data	: "cari="+cari,
			timeout	: 3000,
			beforeSend	: function(){		
				$("#info_pelanggan").html("<img src='loading.gif' />");			
			},				  
			success	: function(data){
				$("#info_pelanggan").html(data);
			}
		});
	});
	
	$("#x_kodeplg").keyup(function() {
		var kode 	= $("#x_kodeplg").val()
		
		if(kode.length==4){
			
		$.ajax({
			type	: "POST",
			url		: "modul/penjualan/cari_plg.php",
			data	: "kode="+kode,
			dataType: "json",
			success	: function(data){
				$("#x_kodeplg").val(kode);
				$("#x_namaplg").val(data.namaplg);
				var namaplg = $("#l_namaplg").val();
				if(namaplg.length==0){
					alert("Maaf, data pelanggan "+kode+" tidak ditemukan.");
					return (false);
				}
			}
		});
		}
	});
	
	$("#cari_pjl").click(function(){
		var tgl_awal = $("#t_tglaw").val();
		var tgl_akhir = $("#t_tglak").val();
		var kodeplg   = $("#x_kodeplg").val();
		
		if(tgl_awal.length==''){
			alert('Maaf, Tanggal awal periode masih kosong.');
			$("#t_tglaw").focus();
			return false;
		}
		if(tgl_akhir.length==''){
			alert('Maaf, Tanggal akhir periode belum terisi.');
			$("#t_tglak").focus();
			return false;
		}
		$("#data_pjl").show();
		$("#data_pjl").load('modul/report/tampil_data_pj.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir+'&kodeplg='+kodeplg);
	});
	
	$("#cetak_pjl").click(function() {
		var tgl_awal  = $("#t_tglaw").val();
		var tgl_akhir = $("#t_tglak").val();
		var kodeplg   = $("#x_kodeplg").val();
		var namaplg   = $("#x_namaplg").val();
		
		if(tgl_awal.length==''){
			alert('Maaf, Tanggal awal periode belum terisi.');
			$("#t_tglaw").focus();
			return false;
		}
		if(tgl_akhir.length==''){
			alert('Maaf, Tanggal akhir periode masih kosong.');
			$("#t_tglak").focus();
			return false;
		}
		window.location.href='modul/laporan/daftar_pjl.php?tgl_awal='+tgl_awal+'&tgl_akhir='+tgl_akhir+'&kodeplg='+kodeplg+'&namaplg='+namaplg;
	});
	
	$("#tutup_pjl").click(function(){
		document.location='?module=home';
	});
	
});
</script>
<style type="text/css">
#info {
	font-size:12px;
	font-weight:bold;
	color:#F00;
}
</style>

<?php
include '../../inc/inc.koneksi.php';
	
echo "<div span='12' style='background-color:white'>";
echo "<div id='form' align='center'><h3>DAFTAR PENJUALAN BARANG DAGANGAN<h3></div>";
echo "<div id='filter' align='left'>
	<fieldset>
		<legend>Filter Data </legend>
		<table>
			<tr>
				<td>Tanggal : <input type='date' name='t_tglaw' id='t_tglaw' size='10'> Sampai dengan <input type='date' name='t_tglak' id='t_tglak' size='10'></td>
				<td>Pelanggan : <input type='text' name='x_kodeplg' id='x_kodeplg' size='3' class='input_header'>
					<img src='images/view.png' width='18' height='18' title='Cari Pelanggan' id='caripl'>
					<input type='text' name='x_namaplg' id='x_namaplg' size='20' class='input_header' readonly/>
				</td>
				<td>
					<button name='cari_pjl' id='cari_pjl'>Cari</button>
					<button name='cetak_pjl' id='cetak_pjl'>Cetak</button>
					<button name='tutup_pjl' id='tutup_pjl'>Tutup</button>
				</td>
			</tr>
		</table>
	</fieldset>
	</div><br>";
	
echo "<div id='data_pjl' align='center' style='overflow-x: auto;height: 400px;scroll-behavior: smooth'></div>";
echo "</div>";
?>
